### Signal

# ClapperGtk Container::adapt

#### Declaration

    void
    adapt (
      ClapperGtkContainer* self,
      gboolean adapt,
      gpointer user_data
    )

#### Description [src]

A helper signal for implementing mobile/narrow adaptive behavior on descendants.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal emission will restart instead of recursing
Hooks are disabled for this signal

#### Parameters

`adapt`

  Type: `gboolean`

  `TRUE` if narrowness reached adaptive threshold, `FALSE` otherwise.